; Library of common routines from KaB0b0S0Ft.
; Used in:
;  o Slide!
;  o KILLShawn
;  o BERNT
graphsprite:
	push hl              
	ld hl,0            
	ld d,0
	add hl,de
	add hl,de
	add hl,de
	add hl,hl
	add hl,hl
	ld d,0
	ld e,a
	srl e
	srl e
	srl e
	add hl,de
	ld de,$88B8
	add hl,de
	ld b,%00000111
	and b
	or a

	jp z,ALIGN
	pop ix
	ld d,a

	ld e,8
LILOP:
	ld b,(ix+0)
	ld c,0
	push de
SHLOP:
	srl b
	rr c
	dec d
	jp nz,SHLOP
	pop de
	ld a,b
	or (hl)
	ld (hl),a
	inc hl
	ld a,c
	or (hl)
	ld (hl),a
	ld bc,11
	add hl,bc
	inc ix
	dec e
	jp nz,LILOP
	jr DONE1

ALIGN:
	pop de
	ld b,8
ALOP1:
	ld a,(de)
	or (hl)            
	ld (hl),a
	inc de
	push bc
	ld bc,12
	add hl,bc
	pop bc
	djnz ALOP1
DONE1:
	ret
DrawSprite:
	ld d,0
Drawing:
	ld a,$20
	add a,c
	call $7f3
	out ($10),a
	ld a,$80
	add a,b
	call $7f3
	out ($10),a
	ld a,(hl) ; 100
	call $7f3
	out ($11),a
	inc d
	ld a,d
	cp e
	ret z
	inc b
	inc hl
	jr Drawing
	ret
WFE:
	call GET_KEY
	cp $09
	ret z
	jr WFE
Random:
	call RAND
	cp	b
	ret	c
	jr	Random
WF2nd:
	call GET_KEY
	cp $36
	ret z
	jr WF2nd
